A free fan-made modification for Age of Empires III

  • 1
  • 5
  • 6
  • 7
  • 8
  • 9
 
User avatar
CarlosParedes
Rum Corpsman
Rum Corpsman
Posts: 160
Joined: Tue Aug 30, 2016 1:08 am
Location: Estados Unidos Mexicanos
Contact:

Re: Updating Wars of Liberty

Sat Dec 24, 2016 6:57 am

And the hotfix for the lag?
Image
 
User avatar
CelticCrusader
Rum Corpsman
Rum Corpsman
Posts: 168
Joined: Thu Sep 08, 2016 10:31 am
Location: Wales, Uk

Re: Updating Wars of Liberty

Sat Dec 24, 2016 3:34 pm

CarlosParedes wrote:
And the hotfix for the lag?

The hotfix is already out. My game is fine now i updated again. 
Steam & ESO : CelticCrusader
GameRanger: Celtic_Crusader

I know not with what weapons World War III will be fought, but World War IV will be fought with sticks and stones.
Albert Einstein
 
User avatar
Roebuckhartstag
Coureur des Bois
Coureur des Bois
Posts: 23
Joined: Wed Nov 30, 2016 9:39 pm

Re: Updating Wars of Liberty

Sat Dec 24, 2016 10:20 pm

CelticCrusader wrote:
CarlosParedes wrote:
And the hotfix for the lag?

The hotfix is already out. My game is fine now i updated again. 

Ditto for me, game was lagging, reinstalled updater, hotfix showed up in the updater and fixed the problem
I am the Roebuck Hart and Stag, the Divine Helm of Desire and Devotion, the Defender of Pure Love and Carrier of a Sword of Peaceful Words.
 
User avatar
nicomnovillo
Trapped Settler
Trapped Settler
Posts: 8
Joined: Fri Sep 30, 2016 10:26 pm

Re: Updating Wars of Liberty

Mon Jan 02, 2017 5:53 am

Good evening/day/morning, I have downloaded twice already the latest updater, and tried several times with both files to download and install the, according to the updater, five parts needed to update from 1.07 to 1.12(?). When downloading the files from Google Drive, there haven't been any errors or anything, and every attempt has taken place with an excellent wifi signal. As always, I'm running the updater as Admin. Next is a copy of the update log, wich always fails at 70% (aprox) of the first of five updates, invariably.

Wars of Liberty Updater - v1.3a
Current Wars of Liberty Installation:
C:\Program Files (x86)\Microsoft Games\Age Of Empires III Complete

Fetching update info file...

Wars of Liberty version 1.0.7 detected

Downloading update #1 of 5 (58,9 MB)
An error has occurred while attempting to perform
that operation

java.net.SocketTimeoutException: Read timed out
java.net.SocketInputStream.socketRead0(Native Method)
java.net.SocketInputStream.socketRead(Unknown Source)
java.net.SocketInputStream.read(Unknown Source)
java.net.SocketInputStream.read(Unknown Source)
java.io.BufferedInputStream.fill(Unknown Source)
java.io.BufferedInputStream.read1(Unknown Source)
java.io.BufferedInputStream.read(Unknown Source)
sun.net.www.MeteredStream.read(Unknown Source)
java.io.FilterInputStream.read(Unknown Source)
sun.net.www.protocol.http.HttpURLConnection$HttpInputStream.read(Unknown Source)
sun.net.www.protocol.http.HttpURLConnection$HttpInputStream.read(Unknown Source)
org.apache.commons.io.IOUtils.copyLarge(IOUtils.java:2146)
org.apache.commons.io.IOUtils.copy(IOUtils.java:2102)
org.apache.commons.io.IOUtils.copyLarge(IOUtils.java:2123)
org.apache.commons.io.IOUtils.copy(IOUtils.java:2078)
org.apache.commons.io.FileUtils.copyToFile(FileUtils.java:1554)
org.apache.commons.io.FileUtils.copyInputStreamToFile(FileUtils.java:1528)
org.apache.commons.io.FileUtils.copyURLToFile(FileUtils.java:1506)
wolUpdater.Updater.downloadInstallUpdates(Updater.java:329)
wolUpdater.Updater.main(Updater.java:112)
sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
java.lang.reflect.Method.invoke(Unknown Source)
org.eclipse.jdt.internal.jarinjarloader.JarRsrcLoader.main(JarRsrcLoader.java:58)

If anyone can give me a hand with this, explain it at least, I would be very gratefull.
Please forgive any grammar or ortography mistakes, I'm a little rusty with English.
 
User avatar
nsyion
Roto
Roto
Posts: 17
Joined: Sun Dec 25, 2016 7:33 am

Re: Updating Wars of Liberty

Mon Jan 02, 2017 8:16 am

I believe you're not using the newest updater, uncertain however. Have you tried this with "Wars_of_Liberty_Updater.2.exe"?
 
User avatar
nicomnovillo
Trapped Settler
Trapped Settler
Posts: 8
Joined: Fri Sep 30, 2016 10:26 pm

Re: Updating Wars of Liberty

Mon Jan 02, 2017 11:19 am

And where can I get that particular updater? Everytime I click on the download Burton on the very first page of this section, I'm redirected to a Google Drive folder which only gives me the options of either downloading a certain file (the updater I'm using) or leaving the page.
 
User avatar
Christos
Horse Grenadier
Horse Grenadier
Posts: 509
Joined: Mon Aug 01, 2016 8:12 pm
Location: Lesbos, Greece

Re: Updating Wars of Liberty

Mon Jan 02, 2017 11:24 am

Have you updated your Java to the latest? I believe this might be the problem, though I am not the best-suited team member to answer to your problem.
Image
 
User avatar
nsyion
Roto
Roto
Posts: 17
Joined: Sun Dec 25, 2016 7:33 am

Re: Updating Wars of Liberty

Mon Jan 02, 2017 12:31 pm

I got it from the MODDB page: http://www.moddb.com/mods/wars-of-liberty/downloads/wars-of-liberty-updater

I think java isn;t the issue, as I had that same problem before. http://i.imgur.com/8kHUFtu.png
 
User avatar
danielpereira
Topic Author
Rum Corpsman
Rum Corpsman
Posts: 163
Joined: Tue Jul 26, 2016 11:37 am
Location: The Republic of São Paulo
Contact:

Re: Updating Wars of Liberty

Mon Jan 02, 2017 2:40 pm

nicomnovillo wrote:
Good evening/day/morning, I have downloaded twice already the latest updater, and tried several times with both files to download and install the, according to the updater, five parts needed to update from 1.07 to 1.12(?). When downloading the files from Google Drive, there haven't been any errors or anything, and every attempt has taken place with an excellent wifi signal. As always, I'm running the updater as Admin. Next is a copy of the update log, wich always fails at 70% (aprox) of the first of five updates, invariably.

Hello!

If you are getting this error then that means that, for some reason, the updater is really failing to download the file, and this is probably you internet connection's fault.... All I can recommend you is restarting the updater and trying again...

nsyion wrote:
I think java isn;t the issue, as I had that same problem before.

This is not the same problem... He is having a different issue entirely.
Also, the updater which was uploaded to ModDB is the same that is available to download in the updater thread....
Image
 
User avatar
nicomnovillo
Trapped Settler
Trapped Settler
Posts: 8
Joined: Fri Sep 30, 2016 10:26 pm

Re: Updating Wars of Liberty

Mon Jan 02, 2017 4:10 pm

Well, updater 2 failed miserably. Exact same error, exact same place. If it were a connection problem, I'm pretty sure it wouldn't be so consistent.
As for the Java topic, yes, I have the latest version, 1.8.0_111, and just to be sure the previous one as well.

So it would seem life doesn't want me to play the latest update...
  • 1
  • 5
  • 6
  • 7
  • 8
  • 9

Who is online

Users browsing this forum: No registered users and 1 guest